@import "../../css/units";

/* Popover styles */


.clickable {
    cursor: pointer;
}

.swatchRow {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.rowHeader {
    font-family: "Helvetica Neue", Helvetica, sans-serif;
    font-size: 0.65rem;
    color: #575E75;
    margin: 8px;
}

[dir="ltr"] .labelReadout {
    margin-left: 10px;
}

[dir="rtl"] .labelReadout {
    margin-right: 10px;
}

.labelName {
    font-weight: bold;
}

.divider {
    border-top: 1px solid #ddd;
    margin: 8px;
}

.swapButton {
    margin-left: 8px;
    margin-right: 8px;
}

.swatches {
    margin: 8px;
}

.swatch {
    width: 1.5rem;
    height: 1.5rem;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-sizing: content-box;
    display: flex;
    align-items: center;
}

.largeSwatchIcon {
    width: 1.75rem;
    margin: auto;
}

.largeSwatch {
    width: 2rem;
    height: 2rem;
}

.activeSwatch {
    border: 1px solid #4C97FF;
    box-shadow: 0px 0px 0px 3px hsla(215, 100%, 65%, 0.2);
}

.swatchIcon {
    width: 1.5rem;
    height: 1.5rem;
}

.inactiveGradient {
    filter: saturate(0%);
}

.gradientPickerRow {
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 8px;
    user-select: none;
}

[dir="ltr"] .gradientPickerRow > img + img {
    margin-left: calc(2 * var(--grid-unit));
}

[dir="rtl"] .gradientPickerRow > img + img {
    margin-right: calc(2 * var(--grid-unit));
}

[dir="rtl"] .gradientSwatchesRow {
    flex-direction: row-reverse;
}
